Revoke an ML coordinator credential
curl --request DELETE \
--url https://acusight.io/api/ml-appliance/credentials/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://acusight.io/api/ml-appliance/credentials/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://acusight.io/api/ml-appliance/credentials/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"revoked_at": "2024-01-20T14:45:00Z"
},
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}{
"data": "<unknown>",
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}Devices & provisioning
Revoke an ML coordinator credential
Revokes a long-lived coordinator credential by id. Org admins may revoke their organization’s credentials; all-org credentials require a platform admin.
DELETE
/
ml-appliance
/
credentials
/
{id}
Revoke an ML coordinator credential
Authorizations
JWT access token. Paste the token only; the Bearer prefix is added automatically.
Path Parameters
Credential ID
Was this page helpful?
⌘I